Skip to main content
GET
/
api
/
v1
/
purchase-orders
/
fixed-cost
/
{document_id}
Get Purchase Order
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/purchase-orders/fixed-cost/{document_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "internalId": "<string>",
  "status": "<string>",
  "currentVersion": 123,
  "purpose": "<string>",
  "expenseCategory": "<string>",
  "frequency": "<string>",
  "currency": "<string>",
  "subtotal": "<string>",
  "taxRate": "<string>",
  "taxAmount": "<string>",
  "total": "<string>",
  "createdAt": "<string>",
  "createdBy": "<string>",
  "vendorId": "<string>",
  "vendorName": "<string>",
  "employeeId": "<string>",
  "employeeName": "<string>",
  "referenceNumber": "<string>",
  "internalNotes": "<string>",
  "items": []
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

document_id
string
required

The PO document ID (e.g., FCPO-2026-0001)

Response

Successful Response

Full detail response for a Fixed Cost PO

id
string
required
internalId
string
required
status
string
required
currentVersion
integer
required
purpose
string
required
expenseCategory
string
required
frequency
string
required
currency
string
required
subtotal
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
taxRate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
taxAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
createdAt
string
required
createdBy
string
required
vendorId
string | null
vendorName
string | null
employeeId
string | null
employeeName
string | null
referenceNumber
string | null
internalNotes
string | null
items
FixedCostLineItemOutput · object[]